
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import com.google.gson.JsonObject;

public class ArticleService {

    public List<Article> getAllArticles() {
        List<Article> articles = new ArrayList<>();
        String query = "SELECT * FROM articles";

        try (Connection connection = DatabaseConfig.getConnection();
             Statement statement = connection.createStatement();
             ResultSet resultSet = statement.executeQuery(query)) {

            while (resultSet.next()) {
                Article article = new Article();
                article.setId(resultSet.getInt("id"));
                article.setTitle(resultSet.getString("title"));
                article.setContent(resultSet.getString("content"));
                article.setAuthor(resultSet.getString("author"));
                article.setSummary(resultSet.getString("summary"));
                article.setCoverImage(resultSet.getString("cover_image"));
                articles.add(article);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return articles;
    }

    public static void main(String[] args) {
        ArticleService articleService = new ArticleService();
        WechatService wechatService = new WechatService();

        List<Article> articles = articleService.getAllArticles();

        for (Article article : articles) {
            try {
                JsonObject result = wechatService.pushArticleToDraft(article);
                System.out.println("Article pushed to draft: " + result.toString());
            } catch (Exception e) {
                System.err.println("Failed to push article: " + e.getMessage());
            }
        }
    }
}
